Update a specific part

Partially updates a part identified by its internal ID. Only the fields provided in the request body will be modified.

Path Params
string
required

The part's internal ID.

Body Params
string

The part's display name.

string

The part's unique number. This is a unique field.

string

The part's description.

string

The part's external reference.

price
object

The part's price per unit. (Provide null to unset value)

number

The part's minimum stock.

distributorOrganizationIds
array of strings

The internal IDs of the organizations that will be assigned as distributors to the part.

distributorOrganizationIds
distributorOrganizationNumbers
array of strings

The unique numbers of the organizations that will be assigned as distributors to the part.

distributorOrganizationNumbers
string

The internal ID of the organization that will be assigned as the manufacturer to the part.

string

The unique number of the organization that will be assigned as the manufacturer to the part.

relatedAssetIds
array of strings

The internal IDs of the assets that contain that part in their BOM. (The values provided will replace existing relations.)

relatedAssetIds
relatedAssetNumbers
array of strings

The unique numbers of the assets that contain that part in their BOM. (The values provided will replace existing relations.)

relatedAssetNumbers
relatedAssetTypeIds
array of strings

The internal IDs of the asset types that contain that part in their BOM. (The values provided will replace existing relations.)

relatedAssetTypeIds
relatedAssetTypeLabels
array of strings

The labels of the asset types that contain that part in their BOM. (The values provided will replace existing relations.)

relatedAssetTypeLabels
customPropertyValues
array of objects
customPropertyValues
Responses
204

Resource updated

400

Bad Request

403

Forbidden

404

Not Found

409

Duplicate part number

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!